function init(hero) {
    hero.setName("A-Train/\u00A79\u00A7lCHP\u00A7r");
    hero.setAliases("atr");
    hero.setTier(5);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("chipzpack:compoundvatrain");
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("BASE_SPEED_LEVELS", 6.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);
    
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    
    hero.setDefaultScale(1.0);
    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
